Check maximum GPUs per container
curl --request GET \
--url https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"hardware": [
{
"max_gpus_per_container": 0,
"available": 0,
"hardware_id": 0,
"hardware_name": "string",
"brand_name": "string"
}
],
"total": 0
}
}"string"{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}Get Started With CaaS API
Check maximum GPUs per container
Returns the maximum number of GPUs available per hardware type across all locations, helping to determine deployment limits by hardware.
GET
/
enterprise
/
v1
/
io-cloud
/
caas
/
hardware
/
max-gpus-per-container
Check maximum GPUs per container
curl --request GET \
--url https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.io.solutions/enterprise/v1/io-cloud/caas/hardware/max-gpus-per-container")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"hardware": [
{
"max_gpus_per_container": 0,
"available": 0,
"hardware_id": 0,
"hardware_name": "string",
"brand_name": "string"
}
],
"total": 0
}
}"string"{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}